package cz.moneta.test.dsl.cagw.api.v1.external.service;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.v1.external.service.voicebot.VoicebotBuilder;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class ServiceBuilder {
    private final Harness harness;

    public ServiceBuilder(Harness harness) {
        this.harness = harness;
    }

    public VoicebotBuilder voicebot() {
        return new VoicebotBuilder(harness);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}
